@import url('https://fonts.googleapis.com/css2?family=Yantramanav:wght@100;300;400;500;700;900&display=swap');

* {
    box-sizing: border-box;
    font-family: 'Yantramanav', sans-serif;
    font-weight: normal;
    font-size: 1rem;
    color: var(--color-body);
}

:root, html, body {
    margin: 0;
    padding: 0;

    font-size: clamp(1em, 1.25vw + .6625em, 1.375em);

    --color-body: rgb(0, 22, 89);
    --color-accent: rgb(195, 209, 0);
    --color-body-transparent: rgba(0, 22, 89, 0.1);
    --color-accent-transparent: rgba(198, 211, 0, 0.1);
}

h1 { font-size: 3em; }
h2 { font-size: 1.7321em; }
small { font-size: .5774em; }

h1, h2 {
    line-height: 1;

    margin: 0;
    margin-bottom: 1rem;
    font-weight: 900;
}

fieldset > h2 {
    position: absolute;
    top: 0;
    left: 0;
    margin: 0;
}

header {
    padding: 1rem;
    /* border-bottom: solid 2px var(--color-body-transparent); */
    box-shadow: 0 .25rem .5rem rgba(0, 0, 0, 0.15);
    position: sticky;
    top: 0;
    background-color: #fff;
    z-index: 1000;
}

.content-wrapper {
    display: flex;
    gap: 2rem;
    max-width: 1200px;
    margin: auto;
    align-items: flex-start;
}

main {
    padding: 2rem 1rem;
    flex-grow: 1;
}

form {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

select {
    width: 10rem;
}

.logo {
    max-width: 20rem;
    display: block;
}

fieldset {
    border: none;
    border-bottom: solid 1px var(--color-body-transparent);
    padding: 1rem;
    display: flex;
    flex-wrap: wrap;
    gap: .5rem;
    position: relative;
    padding-top: 3rem;
}

fieldset:disabled {
    display: none;
}

label {
    padding: .5rem;
    background-color: var(--color-body-transparent);
    box-shadow: 0 .25rem .5rem rgba(0, 0, 0, 0.05);
    height: fit-content;
    width: 8rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: space-between;
    gap: .5rem;
    position: relative;
}

label img {
    max-width: 100%;
    display: block;
}

fieldset:not(:disabled) label:hover {
    background-color: rgba(0, 22, 89, 0.2);
    cursor: pointer;
}

label:has(input[type="radio"]:checked) {
    background-color: var(--color-accent);
}

input[type="radio"] {
    appearance: none;
    visibility: hidden;
    position: absolute;
}

#backgound-x {
    position: fixed;
    z-index: -1;
    bottom: 0;
    right: 0;
    width: auto;
    height: 100vh;
    opacity: .25;
}

#progress-container {
    padding: 2rem 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    position: sticky;
    top: 120px;
    height: fit-content;
    margin-bottom: 2rem;
}

#progress-bar-container {
    flex-grow: 1;
    width: 1.5rem;
    height: 300px;
    background-color: var(--color-body-transparent);
    overflow: hidden;
    display: flex;
    flex-direction: column-reverse;
}

#progress-bar {
    width: 100%;
    height: 0%;
    background-color: var(--color-accent);
    transition: height 0.3s ease-in-out;
}

#progress-text {
    font-weight: 700;
    font-size: 1.2em;
    color: var(--color-body);
}

#final-codes {
    margin-bottom: 2rem;
    padding: 1rem;
    background-color: var(--color-body-transparent);
    border-left: 5px solid var(--color-accent);
}

#final-codes h2 {
    margin-bottom: .5rem;
}

#final-codes .full, #final-codes .shortened {
    font-weight: 700;
    font-size: 1.2em;
    color: var(--color-body);
    padding: .25rem 0;
}

#final-codes button {
    background-color: var(--color-accent);
    padding: .5rem 1rem;
    border: none;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
    margin-top: 1rem;
    cursor: pointer;
}

#final-codes h2 {
    margin-bottom: 2rem;
}

small.value {
    position: absolute;
    display: block;
    top: .5rem;
    right: .5rem;
    color: #808080;
}

label > span {
    display: flex;
    align-items: center;
    height: 2rem;
    padding-top: .5rem;
    line-height: 1.1;
}

#email-request {
    margin: 2rem 0;
    padding: 1rem;
    background: var(--color-body-transparent);
    border-left: 5px solid var(--color-accent);
    display: none;
}

#email-request label {
    background-color: transparent;
    box-shadow: none;
    padding: 0;
    margin-bottom: 1rem;
}
